{ pkgs, config, lib, ... }:

let
  cfg = config.ptw.programs;
in {
  options.ptw.programs.office = {
    enable = lib.mkEnableOption "Install Office software";
  };
  
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      libreoffice
    ];
  };
}
